Skip to main content
PUT
/
transforms
/
{transforms_id}
/
deploy-job-live
/
{version_id}
Deploy Job Live
curl --request PUT \
  --url https://api.streamkap.com/transforms/{transforms_id}/deploy-job-live/{version_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.streamkap.com/transforms/{transforms_id}/deploy-job-live/{version_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.text)
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.streamkap.com/transforms/{transforms_id}/deploy-job-live/{version_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "value_transform": "<string>",
  "key_transform": "<string>",
  "topic_transform": "<string>",
  "common_transform": "<string>",
  "value_schema_transform": "<string>",
  "key_schema_transform": "<string>",
  "unit_test": {
    "test_name": "<string>",
    "input__json": [
      {
        "topic": "<string>",
        "value": {},
        "key": {},
        "timestamp": "2023-11-07T05:31:56Z"
      }
    ],
    "output__json": [
      {
        "topic": "<string>",
        "value": {},
        "key": {},
        "timestamp": "2023-11-07T05:31:56Z"
      }
    ],
    "result__json": [
      {
        "topic": "<string>",
        "value": {},
        "key": {},
        "timestamp": "2023-11-07T05:31:56Z"
      }
    ],
    "is_success": true,
    "html_diff": "<string>",
    "text_diff": "<string>"
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transforms_id
string
required
version_id
string
required

Response

TransformsMapFilterImplementation · object | TransformsEnrichAsyncImplementation · object | TransformsJoinImplementation · object | TransformsEnrichImplementation · object | TransformsTopicRouterImplementation · object | null

Successful Response

language
enum<string>
required
Available options:
PYTHON,
JAVASCRIPT,
SQL
value_transform
string
required
key_transform
string | null
topic_transform
string | null
common_transform
string | null
value_schema_transform
string | null
key_schema_transform
string | null
unit_test
TransformsUnitTest · object | null